Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115666 - Review Request: nodejs-csslint - CSSLint
Summary: Review Request: nodejs-csslint - CSSLint
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1121735
Blocks: nodejs-reviews 1115672
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:03 UTC by Ralph Bean
Modified: 2014-08-15 02:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 19:53:27 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-02 21:03:34 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-csslint.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-csslint-0.9.9-1.fc20.src.rpm

Description:
CSSLint is a tool to help point out problems with your CSS code. It does
basic syntax checking as well as applying a set of rules to the code that
look for problematic patterns or signs of inefficiency. The rules are all
pluggable, so you can easily write your own or omit ones you don't want.

You can find information about both using CSS Lint and contributing to the
project in the wiki: https://github.com/stubbornella/csslint/wiki

Comment 1 Parag AN(पराग) 2014-07-16 17:07:03 UTC
Review:

+ mock build is successful for f22

- rpmlint output on rpms gave
nodejs-csslint.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
nodejs-csslint.x86_64: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
nodejs-csslint.x86_64: E: no-binary
nodejs-csslint.x86_64: W: only-non-binary-in-usr-lib
nodejs-csslint.x86_64: W: no-documentation
nodejs-csslint.x86_64: E: non-executable-script /usr/lib/node_modules/csslint/cli.js 0644L /usr/bin/env
nodejs-csslint-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 3 errors, 4 warnings.

==> See suggestion below

+ Source verified with upstream as (sha256sum)
srpm tarball     :615af2eb4a5955130794e409bed690b57f72a75f1d9ca06abb8eed220bc807ff
upstream tarball :615af2eb4a5955130794e409bed690b57f72a75f1d9ca06abb8eed220bc807ff

+ License "MIT" is valid and included in source file.

+ rest looks following packaging guidelines



suggestions:
1) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

2) Fix the non-executable-script rpmlint error.

3) also, update to latest upstream.

Comment 2 Ralph Bean 2014-07-21 17:05:29 UTC
Ugh, the new upstream release has a new dependency on nodejs-parserlib.

Comment 3 Ralph Bean 2014-07-21 18:48:35 UTC
New release addresses your suggestions and depends on the new nodejs-parserlib.

Spec URL: http://threebean.org/rpm/SPECS/nodejs-csslint.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-csslint-0.10.0-1.fc20.src.rpm

Comment 4 Parag AN(पराग) 2014-07-22 04:54:06 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-csslint.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
nodejs-csslint.noarch: W: only-non-binary-in-usr-lib
nodejs-csslint.noarch: W: dangling-symlink /usr/lib/node_modules/csslint/node_modules/parserlib /usr/lib/node_modules/parserlib
nodejs-csslint.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :2d3699b21e157122126cf2afe6b424abd250a19cc30fbb1983925ce12ee802bf
upstream tarball :2d3699b21e157122126cf2afe6b424abd250a19cc30fbb1983925ce12ee802bf

+ License "MIT" is valid and included in source file.

+ rest looks following packaging guidelines

APPROVED.

Comment 5 Ralph Bean 2014-07-22 14:26:36 UTC
New Package SCM Request
=======================
Package Name: nodejs-csslint
Short Description:  CSSLint
Upstream URL: https://npmjs.org/package/csslint
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 6 Gwyn Ciesla 2014-07-22 14:37:44 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-07-22 19:47:51 UTC
nodejs-csslint-0.10.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-csslint-0.10.0-1.fc20

Comment 8 Fedora Update System 2014-07-22 19:48:02 UTC
nodejs-csslint-0.10.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-csslint-0.10.0-1.fc19

Comment 9 Ralph Bean 2014-07-22 19:53:27 UTC
Buildroot overrides created.

Comment 10 Fedora Update System 2014-08-15 02:38:41 UTC
nodejs-csslint-0.10.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2014-08-15 02:43:02 UTC
nodejs-csslint-0.10.0-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.